Name: pam_smb
Version: 1.1.6
Release: 5
Summary: A Pluggable Authentication Module (PAM) for use with SMB servers.
Group: System Environment/Base
URL: http://www.sourceforge.net/projects/pamsmb/
License: GPL
Source: ftp.samba.org:/pub/samba/pam_smb/pam_smb-%{version}.tar.gz
Source1: pam_smb.conf
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: pam-devel

%description
The pam_smb module can be used to authenticate users using an external
SMB server.

%prep
%setup -q -n %{name}
cp %{SOURCE1} .

%build
%configure
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/security $RPM_BUILD_ROOT/etc
install -m755 pam_smb_auth.so $RPM_BUILD_ROOT/lib/security/
install -m644 pam_smb.conf $RPM_BUILD_ROOT/etc/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING README TODO pam_smb.conf.example
%config(noreplace) /etc/pam_smb.conf
/lib/security/pam_smb_auth.so

%changelog
* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 16 2002 Nalin Dahyabhai <nalin@redhat.com> 1.1.6-3
- rebuild in new environment

* Fri Aug  3 2001 Nalin Dahyabhai <nalin@redhat.com>
- add buildprereq on pam-devel (#49547)

* Thu May 31 2001 Nalin Dahyabhai <nalin@redhat.com>
- initial package
